commit:     2800f0179114259868c859f8339385569a4d19fd
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 27 14:24:44 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sat Nov 27 14:24:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2800f017

www-apache/mod_fcgid: update EAPI 5 -> 7

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 www-apache/mod_fcgid/mod_fcgid-2.3.9-r2.ebuild | 36 ++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/www-apache/mod_fcgid/mod_fcgid-2.3.9-r2.ebuild 
b/www-apache/mod_fcgid/mod_fcgid-2.3.9-r2.ebuild
new file mode 100644
index 000000000000..3057d40345c0
--- /dev/null
+++ b/www-apache/mod_fcgid/mod_fcgid-2.3.9-r2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit apache-module depend.apache
+
+DESCRIPTION="Binary-compatible alternative to mod_fastcgi with better process 
management"
+HOMEPAGE="https://httpd.apache.org/mod_fcgid/";
+SRC_URI="mirror://apache/httpd/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+
+APACHE2_MOD_CONF="2.2/20_${PN}"
+APACHE2_MOD_DEFINE="FCGID"
+
+DOCFILES="CHANGES-FCGID README-FCGID STATUS-FCGID"
+
+need_apache2
+
+# Work around Bug #616612
+pkg_setup() {
+       _init_apache2
+       _init_apache2_late
+}
+
+src_configure() {
+       ./configure.apxs || die "apxs configure failed"
+}
+
+src_compile() {
+       emake
+       ln -sf modules/fcgid/.libs .libs || die "symlink creation failed"
+}

Reply via email to